<?php
if(!defined('DATALIFEENGINE')){die("Hacking attempt!");}

include_once (SYSTEM_DIR.'/data/repa.php');
include_once (SYSTEM_DIR.'/data/config.php');

include_once ROOT_DIR . '/language/' . $config['langs'] . '/adminpanel_repa.lng';

$vminus_autor = $repa_cf['adm_minus'];
$vplus_autor = $repa_cf['adm_plus'];

// ********************************************************************************
// Îïöèè
// ********************************************************************************

function opentable()
{
echo <<<HTML
<table width="100%">
    <tr>
        <td width="4"><img src="system/skins/images/tl_lo.gif" width="4" height="4" border="0"></td>
        <td background="system/skins/images/tl_oo.gif"><img src="system/skins/images/tl_oo.gif" width="1" height="4" border="0"></td>
        <td width="6"><img src="system/skins/images/tl_ro.gif" width="6" height="4" border="0"></td>
    </tr>
    <tr>
        <td background="system/skins/images/tl_lb.gif"><img src="system/skins/images/tl_lb.gif" width="4" height="1" border="0"></td>
        <td style="padding:5px;" bgcolor="#FFFFFF">
HTML;
}

function closetable()
{
echo <<<HTML
    </td>
        <td background="system/skins/images/tl_rb.gif"><img src="system/skins/images/tl_rb.gif" width="6" height="1" border="0"></td>
    </tr>
    <tr>
        <td><img src="system/skins/images/tl_lu.gif" width="4" height="6" border="0"></td>
        <td background="system/skins/images/tl_ub.gif"><img src="system/skins/images/tl_ub.gif" width="1" height="6" border="0"></td>
        <td><img src="system/skins/images/tl_ru.gif" width="6" height="6" border="0"></td>
    </tr>
</table>
HTML;
}

function tableheader($value)
{
echo <<<HTML
<table width="100%">
    <tr>
        <td bgcolor="#EFEFEF" height="29" style="padding-left:10px;"><div class="navigation">{$value}</div></td>
    </tr>
</table>
HTML;
 unterline();
}
function unterline() {
echo <<<HTML
<div class="unterline"></div>
HTML;
}

if($action == "options" or $action == '')
{
	include_once 'repa/repa_main.php';
}
elseif($action == "opt")
{
	include_once 'repa/repa_options.php';
}
elseif ($action == "edit")
{
	include_once 'repa/repa_edit.php';
}
elseif ($action == "vminus")
{
	include_once 'repa/repa_vminus.php';
}
elseif ($action == "vplus")
{
	include_once 'repa/repa_vplus.php';
}
elseif ($action == "delcom")
{
	$change_com = $repa_cf['ch_com'];
	$db->query("UPDATE `".USERPREFIX."_reputation` SET `text`='$change_com' WHERE `id`='$id'");
	msg("info", $lang['delcom'], "{$lang_repa['deleted']}<br><br><input type='button' value=\" {$lang_repa['repa_go_back']} \" class='bbcodes' onclick=\"window.location='$PHP_SELF?mod=repa&action=control'\">", "");
}
elseif ($action == "delete")
{
	include_once 'repa/repa_delete.php';
}
elseif ($action == "save")
{
	include_once 'repa/repa_save.php';
}
elseif($action == 'control')
{
	include_once 'repa/repa_control.php';
}
else
{
	msg("error", $lang['addnews_denied'], $lang['db_denied']);
}

?>